Loading...
Searching...
No Matches
RDKit::FileParserUtils Namespace Reference

## Functions

RDKIT_FILEPARSERS_EXPORT std::string_view | strip (std::string_view orig, std::string stripChars=" \t\r\n")
template<typename T>
T | stripSpacesAndCast (std::string_view input, bool acceptSpaces=false)
template<typename T>
T | stripSpacesAndCast (const std::string &input, bool acceptSpaces=false)
RDKIT_FILEPARSERS_EXPORT int | toInt (const std::string &input, bool acceptSpaces=true)
RDKIT_FILEPARSERS_EXPORT unsigned int | toUnsigned (const std::string &input, bool acceptSpaces=true)
RDKIT_FILEPARSERS_EXPORT double | toDouble (const std::string &input, bool acceptSpaces=true)
RDKIT_FILEPARSERS_EXPORT int | toInt (const std::string_view input, bool acceptSpaces=true)
RDKIT_FILEPARSERS_EXPORT unsigned int | toUnsigned (std::string_view input, bool acceptSpaces=true)
RDKIT_FILEPARSERS_EXPORT double | toDouble (const std::string_view input, bool acceptSpaces=true)
RDKIT_FILEPARSERS_EXPORT std::string | getV3000CTAB (const ROMol &tmol, const boost::dynamic_bitset<> &wasAromatic, int confId=-1, unsigned int precision=6)
std::string | getV3000CTAB (const ROMol &tmol, int confId=-1, unsigned int precision=6)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_FILEPARSERS_EXPORT std::string | getV3000Line (std::istream *inStream, unsigned int &line)
RDKIT_FILEPARSERS_EXPORT bool | ParseV3000CTAB (std::istream *inStream, unsigned int &line, RWMol *mol, Conformer *&conf, bool &chiralityPossible, unsigned int &nAtoms, unsigned int &nBonds, bool strictParsing=true, bool expectMEND=true, bool expectMacroAtoms=false)
RDKIT_FILEPARSERS_EXPORT bool | ParseV2000CTAB (std::istream *inStream, unsigned int &line, RWMol *mol, Conformer *&conf, bool &chiralityPossible, unsigned int &nAtoms, unsigned int &nBonds, bool strictParsing=true)
RDKIT_FILEPARSERS_EXPORT void | finishMolProcessing (RWMol *res, bool chiralityPossible, const v2::FileParsers::MolFileParserParams &ps)
void | finishMolProcessing (RWMol *res, bool chiralityPossible, bool sanitize, bool removeHs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_FILEPARSERS_EXPORT Atom * | replaceAtomWithQueryAtom (RWMol *mol, Atom *atom)
| Deprecated, please use QueryOps::replaceAtomWithQueryAtom instead.
template<typename T>
void | applyMolListPropToAtoms (ROMol &mol, const std::string &pn, const std::string &prefix, const std::string &missingValueMarker="n/a")
| applies a particular property to the atoms as an atom property list
template<typename T>
void | applyMolListPropsToAtoms (ROMol &mol, const std::string &prefix, const std::string missingValueMarker="n/a")
void | processMolPropertyList (ROMol &mol, const std::string pn, const std::string &missingValueMarker="n/a")
void | processMolPropertyLists (ROMol &mol, const std::string &missingValueMarker="n/a")
template<typename T>
std::string | getAtomPropertyList (ROMol &mol, const std::string &atomPropName, std::string missingValueMarker="", unsigned int lineSize=190)
void | createAtomIntPropertyList (ROMol &mol, const std::string &atomPropName, const std::string &missingValueMarker="", unsigned int lineSize=190)
void | createAtomDoublePropertyList (ROMol &mol, const std::string &atomPropName, const std::string &missingValueMarker="", unsigned int lineSize=190)
void | createAtomBoolPropertyList (ROMol &mol, const std::string &atomPropName, const std::string &missingValueMarker="", unsigned int lineSize=190)
void | createAtomStringPropertyList (ROMol &mol, const std::string &atomPropName, const std::string &missingValueMarker="", unsigned int lineSize=190)
RDKIT_FILEPARSERS_EXPORT void | moveAdditionalPropertiesToSGroups (RWMol &mol)

## Variables

static const std::string | atomPropPrefix = "atom."

## Function Documentation

## applyMolListPropsToAtoms()

template<typename T>

void RDKit::FileParserUtils::applyMolListPropsToAtoms | ( | ROMol & | mol,
|  | const std::string & | prefix,
|  | const std::string | missingValueMarker = "n/a" )

applies all properties matching a particular prefix as an atom property list

Definition at line 157 of file FileParserUtils.h.

References applyMolListPropToAtoms(), and RDKit::RDProps::getPropList().

## applyMolListPropToAtoms()

template<typename T>

void RDKit::FileParserUtils::applyMolListPropToAtoms | ( | ROMol & | mol,
|  | const std::string & | pn,
|  | const std::string & | prefix,
|  | const std::string & | missingValueMarker = "n/a" )

applies a particular property to the atoms as an atom property list

Definition at line 114 of file FileParserUtils.h.

References BOOST_LOG, RDKit::ROMol::getAtomWithIdx(), RDKit::ROMol::getNumAtoms(), RDKit::RDProps::getProp(), rdWarningLog, and RDKit::RDProps::setProp().

Referenced by applyMolListPropsToAtoms(), and processMolPropertyList().

## createAtomBoolPropertyList()

void RDKit::FileParserUtils::createAtomBoolPropertyList | ( | ROMol & | mol,
|  | const std::string & | atomPropName,
|  | const std::string & | missingValueMarker = "",
|  | unsigned int | lineSize = 190 )

inline

Definition at line 252 of file FileParserUtils.h.

References getAtomPropertyList(), and RDKit::RDProps::setProp().

## createAtomDoublePropertyList()

void RDKit::FileParserUtils::createAtomDoublePropertyList | ( | ROMol & | mol,
|  | const std::string & | atomPropName,
|  | const std::string & | missingValueMarker = "",
|  | unsigned int | lineSize = 190 )

inline

Definition at line 244 of file FileParserUtils.h.

References getAtomPropertyList(), and RDKit::RDProps::setProp().

## createAtomIntPropertyList()

void RDKit::FileParserUtils::createAtomIntPropertyList | ( | ROMol & | mol,
|  | const std::string & | atomPropName,
|  | const std::string & | missingValueMarker = "",
|  | unsigned int | lineSize = 190 )

inline

Definition at line 236 of file FileParserUtils.h.

References getAtomPropertyList(), and RDKit::RDProps::setProp().

## createAtomStringPropertyList()

void RDKit::FileParserUtils::createAtomStringPropertyList | ( | ROMol & | mol,
|  | const std::string & | atomPropName,
|  | const std::string & | missingValueMarker = "",
|  | unsigned int | lineSize = 190 )

inline

Definition at line 260 of file FileParserUtils.h.

References getAtomPropertyList(), and RDKit::RDProps::setProp().

## finishMolProcessing() [1/2]

void RDKit::FileParserUtils::finishMolProcessing | ( | RWMol * | res,
|  | bool | chiralityPossible,
|  | bool | sanitize,
|  | bool | removeHs )

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 101 of file FileParserUtils.h.

References finishMolProcessing(), RDKit::v2::FileParsers::MolFileParserParams::removeHs, and RDKit::v2::FileParsers::MolFileParserParams::sanitize.

## finishMolProcessing() [2/2]

RDKIT_FILEPARSERS_EXPORT void RDKit::FileParserUtils::finishMolProcessing | ( | RWMol * | res,
|  | bool | chiralityPossible,
|  | const v2::FileParsers::MolFileParserParams & | ps )

finishes up the processing (sanitization, etc.) of a molecule read from CTAB

References RDKIT_FILEPARSERS_EXPORT.

Referenced by finishMolProcessing().

## getAtomPropertyList()

template<typename T>

std::string RDKit::FileParserUtils::getAtomPropertyList | ( | ROMol & | mol,
|  | const std::string & | atomPropName,
|  | std::string | missingValueMarker = "",
|  | unsigned int | lineSize = 190 )

Definition at line 203 of file FileParserUtils.h.

References RDKit::ROMol::atoms().

Referenced by createAtomBoolPropertyList(), createAtomDoublePropertyList(), createAtomIntPropertyList(), and createAtomStringPropertyList().

## getV3000CTAB() [1/2]

RDKIT_FILEPARSERS_EXPORT std::string RDKit::FileParserUtils::getV3000CTAB | ( | const ROMol & | tmol,
|  | const boost::dynamic_bitset<> & | wasAromatic,
|  | int | confId = -1,
|  | unsigned int | precision = 6 )

References RDKIT_FILEPARSERS_EXPORT.

Referenced by getV3000CTAB().

## getV3000CTAB() [2/2]

std::string RDKit::FileParserUtils::getV3000CTAB | ( | const ROMol & | tmol,
|  | int | confId = -1,
|  | unsigned int | precision = 6 )

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 73 of file FileParserUtils.h.

References RDKit::ROMol::getNumBonds(), and getV3000CTAB().

## getV3000Line()

RDKIT_FILEPARSERS_EXPORT std::string RDKit::FileParserUtils::getV3000Line | ( | std::istream * | inStream,
|  | unsigned int & | line )

References RDKIT_FILEPARSERS_EXPORT.

## moveAdditionalPropertiesToSGroups()

RDKIT_FILEPARSERS_EXPORT void RDKit::FileParserUtils::moveAdditionalPropertiesToSGroups | ( | RWMol & | mol | ) |

References RDKIT_FILEPARSERS_EXPORT.

## ParseV2000CTAB()

RDKIT_FILEPARSERS_EXPORT bool RDKit::FileParserUtils::ParseV2000CTAB | ( | std::istream * | inStream,
|  | unsigned int & | line,
|  | RWMol * | mol,
|  | Conformer *& | conf,
|  | bool & | chiralityPossible,
|  | unsigned int & | nAtoms,
|  | unsigned int & | nBonds,
|  | bool | strictParsing = true )

References RDKIT_FILEPARSERS_EXPORT.

## ParseV3000CTAB()

RDKIT_FILEPARSERS_EXPORT bool RDKit::FileParserUtils::ParseV3000CTAB | ( | std::istream * | inStream,
|  | unsigned int & | line,
|  | RWMol * | mol,
|  | Conformer *& | conf,
|  | bool & | chiralityPossible,
|  | unsigned int & | nAtoms,
|  | unsigned int & | nBonds,
|  | bool | strictParsing = true,
|  | bool | expectMEND = true,
|  | bool | expectMacroAtoms = false )

References RDKIT_FILEPARSERS_EXPORT.

## processMolPropertyList()

void RDKit::FileParserUtils::processMolPropertyList | ( | ROMol & | mol,
|  | const std::string | pn,
|  | const std::string & | missingValueMarker = "n/a" )

inline

if the property name matches our rules for atom property lists, we'll apply it to the atoms

Definition at line 168 of file FileParserUtils.h.

References applyMolListPropToAtoms(), and atomPropPrefix.

Referenced by processMolPropertyLists().

## processMolPropertyLists()

void RDKit::FileParserUtils::processMolPropertyLists | ( | ROMol & | mol,
|  | const std::string & | missingValueMarker = "n/a" )

inline

loops over all properties and applies the ones that match the rules for atom property lists to the atoms

Definition at line 196 of file FileParserUtils.h.

References RDKit::RDProps::getPropList(), and processMolPropertyList().

## replaceAtomWithQueryAtom()

RDKIT_FILEPARSERS_EXPORT Atom * RDKit::FileParserUtils::replaceAtomWithQueryAtom | ( | RWMol * | mol,
|  | Atom * | atom )

Deprecated, please use QueryOps::replaceAtomWithQueryAtom instead.

References RDKIT_FILEPARSERS_EXPORT.

## strip()

RDKIT_FILEPARSERS_EXPORT std::string_view RDKit::FileParserUtils::strip | ( | std::string_view | orig,
|  | std::string | stripChars = " \t\r\n" )

inline

Definition at line 29 of file FileParserUtils.h.

References RDKIT_FILEPARSERS_EXPORT.

Referenced by stripSpacesAndCast().

## stripSpacesAndCast() [1/2]

template<typename T>

T RDKit::FileParserUtils::stripSpacesAndCast | ( | const std::string & | input,
|  | bool | acceptSpaces = false )

Definition at line 52 of file FileParserUtils.h.

References stripSpacesAndCast().

## stripSpacesAndCast() [2/2]

template<typename T>

T RDKit::FileParserUtils::stripSpacesAndCast | ( | std::string_view | input,
|  | bool | acceptSpaces = false )

Definition at line 43 of file FileParserUtils.h.

References strip().

Referenced by stripSpacesAndCast().

## toDouble() [1/2]

RDKIT_FILEPARSERS_EXPORT double RDKit::FileParserUtils::toDouble | ( | const std::string & | input,
|  | bool | acceptSpaces = true )

References RDKIT_FILEPARSERS_EXPORT.

## toDouble() [2/2]

RDKIT_FILEPARSERS_EXPORT double RDKit::FileParserUtils::toDouble | ( | const std::string_view | input,
|  | bool | acceptSpaces = true )

References RDKIT_FILEPARSERS_EXPORT.

## toInt() [1/2]

RDKIT_FILEPARSERS_EXPORT int RDKit::FileParserUtils::toInt | ( | const std::string & | input,
|  | bool | acceptSpaces = true )

References RDKIT_FILEPARSERS_EXPORT.

## toInt() [2/2]

RDKIT_FILEPARSERS_EXPORT int RDKit::FileParserUtils::toInt | ( | const std::string_view | input,
|  | bool | acceptSpaces = true )

References RDKIT_FILEPARSERS_EXPORT.

## toUnsigned() [1/2]

RDKIT_FILEPARSERS_EXPORT unsigned int RDKit::FileParserUtils::toUnsigned | ( | const std::string & | input,
|  | bool | acceptSpaces = true )

References RDKIT_FILEPARSERS_EXPORT.

## toUnsigned() [2/2]

RDKIT_FILEPARSERS_EXPORT unsigned int RDKit::FileParserUtils::toUnsigned | ( | std::string_view | input,
|  | bool | acceptSpaces = true )

References RDKIT_FILEPARSERS_EXPORT.

## Variable Documentation

## atomPropPrefix

const std::string RDKit::FileParserUtils::atomPropPrefix = "atom."

static

Definition at line 165 of file FileParserUtils.h.

Referenced by processMolPropertyList().